MAC can't download new version

cant download new version on my mac because I get this error

The following disk images could not be opened
anki 2.1.44-mac.dmg corrupt image

I need help

If your macOS version is older than 10.13, the last Anki version you’ll be able to upgrade to is 2.1.35-alternate. Release 2.1.35 · ankitects/anki · GitHub